Migrate Bugzilla to Phabricator
Closed, ResolvedPublic

Description

The Wikimedia Phabricator team proposes to start migrating Bugzilla on Friday 21 November and during the weekend, with a possibility to require Monday 24 to complete the migration. Before that date, you can expect:

  • T843: Complete Bugzilla migration test review period including a bugzillapreview instance regenerated with a sample of 500 tasks, showcasing the fixes to the bugs reported during the community review.
  • Dates and procedure (T535) agreed with the Wikimedia Foundation Engineering and Product Development management, with explicit approval from the Release Team and Ops.
  • Dates for the RT migration, which we plan to propose soon, considering that they might be after the Bugzilla migration and therefore cause another Phabricator downtime, theoretically shorter.
  • All the tasks in Bugzilla-Migration that must be completed before the migration will be resolved; the rest of tasks in this project will be assigned to people ready to proceed as planned during the migration.

Details

Reference
fl39

Related Objects

StatusAssignedTask
ResolvedQgil
ResolvedQgil
ResolvedAklapper
Resolvedgpaumier
Resolvedmmodell
ResolvedAklapper
Declinedchasemp
ResolvedAklapper
ResolvedQgil
ResolvedChristopher
ResolvedAklapper
ResolvedAklapper
Resolvedmmodell
Resolvedmmodell
DeclinedAklapper
Resolvedyuvipanda
Resolvedchasemp
ResolvedQChris
Resolvedchasemp
DeclinedAklapper
ResolvedDzahn
ResolvedQgil
ResolvedQgil
ResolvedQgil
ResolvedAklapper
ResolvedQgil
ResolvedAklapper
Resolvedchasemp
DuplicateQgil
ResolvedAklapper
There are a very large number of changes, so older changes are hidden. Show Older Changes
Qgil added a subscriber: Qgil.Sep 17 2014, 7:51 PM
Aklapper moved this task from Backlog to Doing on the Bugzilla-Migration board.Sep 18 2014, 3:30 PM
Aklapper claimed this task.Sep 18 2014, 3:36 PM
Aklapper set Security to None.
Qgil added a comment.Sep 19 2014, 10:06 AM

I also think we need a public page under https://www.mediawiki.org/wiki/Phabricator with the exact sequence of steps planned for the Bugzilla migration, starting from the moment that Bugzilla goes read-only. When to switch off services, when to point Apache, Gerrit, etc to Phabricator...

Such list should be updated as the migration goes, so everybody paying attention can know where we are, how much is missing.

flimport added a subscriber: greg.
flimport added a subscriber: scfc.Oct 7 2014, 3:00 AM

Are we going to bring those cute little quotes that pop up above Bugzilla search results to Phabricator, or will they be lost in the transition at first? In any case, they need to be saved to something like Wikiquote so that somebody who wants to can create a Phabricator add-on, widget, or whatever that'll fetch them, one per search, via either the MediaWiki or WikiData APIs. If they can't be moved over, I'm sure going to miss them….

Are we going to bring those cute little quotes that pop up above Bugzilla search results to Phabricator, or will they be lost in the transition at first?

These are quips and it seems that there is no plan for them (yet). This is filed as bug 71245 in Bugzilla, but apparently not here for some reason.

Qgil renamed this task from Plan to migrate Bugzilla to Phabricator to Migrate Bugzilla to Phabricator.Oct 23 2014, 5:59 AM

Are we going to import Bugzilla comments as lists of quotations? Really?

Are we going to import Bugzilla comments as lists of quotations? Really?

Please see https://bugzillapreview.wmflabs.org/ . If something is unclear feel free to ask on https://www.mediawiki.org/wiki/Phabricator/Help . Thanks.

Prtksxna removed a subscriber: Prtksxna.Oct 31 2014, 9:08 AM
Qgil claimed this task.Oct 31 2014, 9:26 PM
Qgil moved this task from Doing to Backlog on the Bugzilla-Migration board.
Qgil updated the task description. (Show Details)Oct 31 2014, 10:03 PM
Qgil added subscribers: RobLa-WMF, Eloquence, Dzahn, mark.

Check the new description. It's important:

The Wikimedia Phabricator team proposes to start migrating Bugzilla on Friday 21 November ...

Qgil updated the task description. (Show Details)Oct 31 2014, 10:19 PM
chasemp changed the status of subtask T63: Phabricator requires a "real name" to register from Resolved to Declined.Nov 3 2014, 2:10 PM
Qgil changed the status of subtask T63: Phabricator requires a "real name" to register from Declined to Resolved.Nov 3 2014, 2:15 PM
Qgil added a comment.Nov 3 2014, 7:55 PM

@greg aka Release Team Manager agrees with the plan of starting the migration on 21 Nov, acknowledging that Bugzilla+Phabricator might be down during the following weekend and on Monday.

Qgil added a comment.Nov 4 2014, 12:48 PM

@mark aka Director of Technical Operations & more also agrees with the plan.

The rest of managers of Wikimedia Foundation Engineering and Product Development are also aware, and nobody has complained so far.

Time to define the details of T188: Communicate the launch of Wikimedia Phabricator Day 1.

For the records, I wrote in T188

Chase and I are proposing to start the migration on Fri Nov21 00:01UTC

but Greg asked to wait for at least 16:30 PST until SWAT is over.
Hence also fine to target Thu17:00PST/Fri01:00UTC/Fri02:00CET or such.

Qgil added a comment.Nov 10 2014, 5:14 PM

Dates and procedure (T535) agreed with the Wikimedia Foundation Engineering and Product Development management, with explicit approval from the Release Team and Ops.

We are having a Go-NoGo meeting on Wednesday with the proposal of starting the migration on 21 Nov. Release Team and Ops have given their OK already.

In T15#11969, @matmarex wrote:

Are we going to bring those cute little quotes that pop up above Bugzilla search results to Phabricator, or will they be lost in the transition at first?

These are quips and it seems that there is no plan for them (yet). This is filed as bug 71245 in Bugzilla, but apparently not here for some reason.

That's waiting on T15.

Qgil added a comment.Nov 23 2014, 2:36 PM

Alright, the bulk of the work is done and we have been testing quite a lot. We are about to send an invitation to wikitech-l for those willing to visit the "new" Phabricator before opening to everybody.

This is in fact a test to check whether email notifications work. :)

Qgil added a comment.Nov 23 2014, 10:00 PM

Actually we needed more testing after the last comment. NOW we are almost there, still testing bit here and there.

https://www.mediawiki.org/wiki/Phabricator/versus_Bugzilla#Timeline

Qgil moved this task from Backlog to Doing on the Bugzilla-Migration board.Nov 23 2014, 10:41 PM
Qgil closed this task as Resolved.Nov 24 2014, 9:00 AM

The migration is completed. Phew! We are only allowing ourselves some extra hours of public use before blessing the launch with an official announcement.

BIG THANK YOU to everybody involved in this big, long, and complex migration.

I have just read some notations like bz19986, bug #19986 or bug 19986 in some older issues that are referring to issue number in bugzilla, is it possible for phabricator to automatically redirect all these to their issue # in phabricator, lile T21986 in this case?

I have just read some notations like bz19986, bug #19986 or bug 19986 in some older issues that are referring to issue number in bugzilla, is it possible for phabricator to automatically redirect all these to their issue # in phabricator, lile T21986 in this case?

T687: Convert Bugzilla's "Bug NNNNN" links to "TNNNNN" links in Phabricator